//
//  BTFCoreDataManager.h
//  BackgroundTableFetcher
//
//  Created by Krzysztof Cieplucha on 17/11/13.
//  Copyright (c) 2013 Krzysztof Cieplucha. All rights reserved.
//

#import <CoreData/CoreData.h>
#import <Foundation/Foundation.h>

@interface BTFCoreDataManager : NSObject

#pragma mark - class methods

+ (BTFCoreDataManager *)sharedInstance;

#pragma mark - initializers

#pragma mark - properties

@property (strong, nonatomic, readonly) NSManagedObjectContext *managedObjectContext;

#pragma mark - instance methods

- (NSFetchedResultsController *)createFetchResultsController;
- (void)modifyData;
- (void)prepareData;

@end
